Program fjf31;

Type
  packedSubrange = packed 1..6;

Var
  foo: record
    a, b: packed 1..6;
  end (* foo *);

  bar: packed record
    a, b: 1..6;
  end (* bar *);
  
  foobar: packed record
    a, b: packed 1..6;
  end (* bar *);

begin
  if ( SizeOf ( foo ) = 2 * SizeOf ( packedSubrange ) )
     and ( SizeOf ( bar ) = SizeOf ( Char ) )
     and ( SizeOf ( foobar ) = SizeOf ( Char ) ) then
    writeln ( 'OK' )
  else
    writeln ( 'failed: ', SizeOf ( foo ), ', ',
              SizeOf ( bar ), ', ', SizeOf ( foobar ) );
end.
